#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'hasil_klarifikasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
            #{if !aktifUser.isProvider()}
                #{if showButtonTambah}
                    <a href="@{katalog.PermohonanPembaruanCtr.createHasilKlarifikasi(id)}"
                       class="btn btn-primary btn-md"><i
                            class="fa fa-plus"></i> &{'tambah.label'} &{'hasil_klarifikasi.label'}</a>
                #{/if}
                #{if baIsExist && showButtonSetuju}
                    #{if pemb.tipe_permohonan.equalsIgnoreCase(pemb.TIPE_PERMOHONAN_PROFIL)}
                        <a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i
                            class="fa fa-calendar-check-o"></i> &{'persetujuan_update_data.label'}</a>
                    #{/if}
                    #{else}
                        <a href="@{katalog.PermohonanPembaruanCtr.formDetailPersetujuan(id)}"  class="btn btn-success btn-md open-approval-data"><i
                                class="fa fa-calendar-check-o"></i> &{'persetujuan_update_data.label'}</a>
                    #{/else}
                #{/if}
                #{if baIsExist && showButtonKirim && !showButtonSetuju}
                    #{if shwoButtonUlang}
                    <a href="#" id="btnUlangKlarif" onclick="openUlang()" style="background-color: #55acee !important; border-color: #55acee"
                       class="btn btn-warning btn-md"><i
                            class="fa fa-history"></i> &{'hasil_klarifikasi_ulang.label'}</a>
                    #{/if}

                    <a href="#" id="btnKirim"
                       class="btn btn-warning btn-md"><i
                            class="fa fa-send"></i> &{'kirim.label'} &{'hasil_klarifikasi.label'}</a>
                #{/if}
                #{if showButtonSelesaikan}
                    #{if shwoButtonUlang}
                        <a href="#" id="btnUlangKlarif" onclick="openUlang()" style="background-color: #55acee !important; border-color: #55acee"
                           class="btn btn-warning btn-md"><i
                                class="fa fa-history"></i> &{'hasil_klarifikasi_ulang.label'}</a>
                    #{/if}
                    #{if showButtonAdendum}
                    <a href="#" onclick="openFormAdendum()"
                       class="btn btn-danger btn-md"><i
                            class="fa fa-pencil-square-o"></i> &{'hasil_klarifikasi_adendum.label'}</a>
                    #{/if}
                    #{if keepShowSelesaikan}
                    <a href="#" onclick="openFormSetuju()"
                       class="btn btn-success btn-md"><i
                            class="fa fa-calendar-check-o"></i> &{'selesaikan.label'} &{'hasil_klarifikasi.label'}</a>
                    #{/if}
                #{/if}
            #{/if}
            </div>
        #{alert /}
        #{if !baIsExist}
            <div class="alert alert-danger alert-dismissible">
                <button class="close" data-dismiss="alert" aria-label="Close">
                    <i class="fa fa-close" aria-hidden="true"></i>
                </button>
                <p>&{'ba_klarifikasi_tidak_ada.label'}</p>
            </div>
        #{/if}
        #{if keepShowSelesaikan}
            <div class="alert alert-warning alert-dismissible">
                <button class="close" data-dismiss="alert" aria-label="Close">
                    <i class="fa fa-close" aria-hidden="true"></i>
                </button>
                <p>&{'selesaikan_permohonan.label'}</p>
            </div>
        #{/if}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblDisposisi">
                        <thead>
                        <tr>
                            <th class="header-center">&{'dibuat_oleh.label'}</th>
                            <th class="header-center">&{'catatan.label'}</th>
                            <th class="header-center">&{'file.label'}</th>
                            <th class="header-center">&{'tanggal_dibuat.label'}</th>
                            <th class="header-center">&{'tanggal_diubah.label'}</th>
                            <th class="header-center">&{'aksi.label'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:hasilKLarif, as:'item'}
                        <tr>
                            <td>${item?.nama_lengkap}</td>
                            <td>${item?.deskripsi}</td>
                            <td class="text-center"><a href="${item?.getFileUrl()}">${item?.nama_file}</a></td>
                            <td class="text-center">${item?.getCreatedDate()}</td>
                            <td class="text-center">${item?.getModifiedDate()}</td>
                            <td class="text-center">
                            #{if !aktifUser.isProvider()}
                                #{if baIsExist && showButtonKirim && aktifUser.user_id.equals(new Long(item.created_by))}
                                    <a href="@{katalog.PermohonanPembaruanCtr.editHasilKlarifikasi(item.id)}"
                                       class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                #{/if}
                                #{if baIsExist && showButtonSelesaikan && aktifUser.user_id.equals(new Long(item.created_by))}
                                    #{if showButtonAdendum}
                                    <a href="@{katalog.PermohonanPembaruanCtr.editHasilKlarifikasi(item.id)}"
                                       class="btn btn-primary btn-md">&{'ubah.label'}</a>
                                    #{/if}
                                #{/if}
                            #{/if}

                            *{#{if !showButtonTambahDisposisi && (showButtonKirimDisposisi || showButtonSetujuTolakData)}}*
                            *{#{if aktifUser.user_id.equals(new Long(item.created_by))}}*
                            *{#{if !aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASI)}}*
                            *{<a href="@{katalog.PermohonanPembaruanCtr.editDispo(item.id)}"}*
                            *{class="btn btn-primary btn-md">&{'ubah.label'}</a>}*
                            *{#{/if}}*
                            *{#{if aktifUser.jabatan.equalsIgnoreCase(models.permohonan.PermohonanPembaruan.STATUS_KASI) && showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}}*
                            *{<a href="@{katalog.PermohonanPembaruanCtr.editDispo(item.id)}"}*
                            *{class="btn btn-primary btn-md">&{'ubah.label'}</a>}*
                            *{#{/if}}*
                            *{#{/if}}*
                            *{#{/if}}*
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="formPersetujuan" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.selesaikanPermohonan(), method:'POST', id:'formSetuju'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'form_persetujuan.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'selesaikan.konfirmasi.label'}</p>
                        </div>
                    </div>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetuju()" class="btn btn-primary setuju"
                            id="setuju">&{'ya.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <div class="modal fade" id="formPersetujuanKlarifikasi" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.terimaTolakKlarifikasi(), method:'POST', id:'formSetujuUpdate'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'persetujuan_update_data.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control tipe" value="" id="tipe" name="tipe" style="display: none"/>
                    <input class="form-control setujuTolak" value="" id="setujuTolak" name="setujuTolak"
                           style="display: none"/>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetujuKlarif()" class="btn btn-primary setujuKlarif"
                            id="setujuKlarif">&{'terima.label'}</button>&nbsp;
                    <button type="button" onclick="submitTolakKlarif()" class="btn btn-danger tolakKlarif"
                            id="tolakKlarif">&{'tolak.label'}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <div class="modal fade" id="formPersetujuanAdendum" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    *{#{form @katalog.PermohonanPembaruanCtr.adendumHasilKlarifikasi(), method:'POST', id:'formSetujuUpdate'}}*
    #{form @katalog.PermohonanPembaruanCtr.adendumHasilKlarifikasi(), method:'POST', id:'formPersetujuanAdendumKontrak'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'persetujuan_update_data.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasan" value="" id="alasan" name="alasan"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control tipe" value="" id="tipe" name="tipe" style="display: none"/>
                    <input class="form-control setujuTolak" value="" id="setujuTolak" name="setujuTolak"
                           style="display: none"/>
                    <input class="form-control permId" value="${id}" id="permId" name="permId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitSetujuAdendum()" class="btn btn-primary setujuAdendum"
                            id="setujuAdendum">&{'ya.label'}</button>&nbsp;
                    <button type="button" onclick="submitTolakAdendum()" class="btn btn-danger tolakAdendum"
                            id="tolakAdendum">&{'tidak.label'}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <div class="modal fade" id="formKlarifikasiUlang" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
    #{form @katalog.PermohonanPembaruanCtr.butuhKlarifikasiUlang(), method:'POST', id:'formUlangKlarif'}
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'persetujuan_update_data.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <p>&{'alasan.label'}</p>
                            #{authenticityToken /}
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <input class="form-control alasanUlang" value="" id="alasanUlang" name="alasanUlang"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <input class="form-control yaTidak" value="" id="yaTidak" name="yaTidak"
                           style="display: none"/>
                    <input class="form-control pmbId" value="${id}" id="pmbId" name="pmbId" style="display: none"/>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="submitYaUlang()" class="btn btn-primary yaUlang"
                            id="yaUlang">&{'ya.label'}</button>&nbsp;
                    <button type="button" onclick="submitTidakUlang()" class="btn btn-danger tidakUlang"
                            id="tidakUlang">&{'tidak.label'}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    #{/form}
    </div>

    <!-- form select user ketika kirim hasil -->
    <div class="modal fade" id="selectUser" role="dialog">
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title" id="modalTitle">&{'kirim_ke.label'} <b style="text-transform: capitalize">${dispoKe}</b></h4>
                </div>
                <div class="modal-body">
                    <div class="row" id="daftar_user_kirim_ke">
                        <input style="display: none" class="form-control" value="${id}" id="idPermohonan" name="idPermohonan"/>
                        <div class="col-lg-12">
                            <div class="form-group error">
                                <div class="col-md-12">
                                    <select class="form-control select2" style="width: 100%" id="kirimKeUser" name="kirimKeUser">
                                        <option value="">&{'pilih.label'}</option>
                                    #{list sendToUser, as:'u'}
                                        <option value="${u.id}">${u.nama_lengkap} [${u.user_name}]</option>
                                    #{/list}
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" onclick="showWarning()" class="btn btn-primary" id="btnSendToUser">&{'kirim.label'}</button>&nbsp;
                    <button type="button" class="btn btn-default" data-dismiss="modal">&{'tutup.label'}</button>&nbsp;
                </div>
            </div>
        </div>
    </div>
</div>


#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $("#btnKirim").on("click", function (e) {
            e.preventDefault();
            openFormSendTo();
        });
    });

    function showWarning() {
        if ($('#kirimKeUser').val() == "" || $('#kirimKeUser').val() == null) {
            showToast(1);
        } else {
            var toUser = $('#kirimKeUser').val();
            var permId = $('#idPermohonan').val();
            var msg = "&{'warning_kirim_hasil_klarifikasi.label'}";
            var conf = confirm(msg);
            var param = "?permId="+permId+"&"+"toUser="+toUser;
            var href = "@{katalog.PermohonanPembaruanCtr.kirimHasilKlarifikasi(param)}";
            if (conf == true) {
                window.location.href = href+param;
                //$("#btnKirim").click();
            }
        }
    }

    function openFormSendTo() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#selectUser').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openFormSetuju() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#modalTitle').text("&{'konfirmasi.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        $('#formSetuju').submit();
    }

    function openFormAdendum() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#formPersetujuanAdendum #tipe').val("adendum");
        $('#formPersetujuanAdendum #modalTitle').text("&{'form.label'} &{'hasil_adendum.label'}");
        $('#formPersetujuanAdendum').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetujuAdendum() {
        if ($('#formPersetujuanAdendum #alasan').val() == "") {
            showToast(0);
        } else {
            var st = "ya";
            $('#formPersetujuanAdendum #setujuTolak').val(st);
            $('#formPersetujuanAdendumKontrak').submit();
        }
    }

    function submitTolakAdendum() {
        if ($('#formPersetujuanAdendum #alasan').val() == "") {
            showToast(0);
        } else {
            var st = "tidak";
            $('#formPersetujuanAdendum #setujuTolak').val(st);
            $('#formPersetujuanAdendumKontrak').submit();
        }
    }

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("klarifikasi");
        $('#modalTitle').text("&{'form.label'} &{'persetujuan_update_data.label'}");
        $('#formPersetujuanKlarifikasi').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetujuKlarif() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else {
            var st = "diterima";
            $('#setujuTolak').val(st);
            $('#formSetujuUpdate').submit();
        }
    }

    function submitTolakKlarif() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else {
            var st = "ditolak";
            $('#setujuTolak').val(st);
            $('#formSetujuUpdate').submit();
        }
    }

    function openUlang() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#formKlarifikasiUlang #modalTitle').text("&{'hasil_klarifikasi_ulang.label'}");
        $('#formKlarifikasiUlang').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitYaUlang() {
        if ($('#alasanUlang').val() == "") {
            showToast(0);
        } else {
            var st = "ya";
            $('#yaTidak').val(st);
            $('#formUlangKlarif').submit();
        }
    }

    function submitTidakUlang() {
        if ($('#alasanUlang').val() == "") {
            showToast(0);
        } else {
            var st = "tidak";
            $('#yaTidak').val(st);
            $('#formUlangKlarif').submit();
        }
    }

    function showToast(tipe) {
        if (tipe == 0){
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        } else {
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_user_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    }
</script>
#{/set}